Skip to main content
GET
Get an application

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

Unique identifier for the application.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Response

Application returned.

account_template_id
string<uuid>
required

Mainapi account template ID to use for creating the LOC account

applicant
object
required
provider
enum<string>
required

Provider for LOC application

Available options:
loanpro
tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

type
enum<string>
required

Type of Application

Available options:
CREDIT,
CREDIT_CARD,
LOC,
RESTRICTED_ACCOUNT
Example:

"CREDIT"

application_workflow_id
string<uuid>
required

ID of the workflow used for processing. Obtained from the account template.

creation_time
string<date-time>
required

Application creation timestamp in RFC3339 format

customer_type
enum<string>
required

Type of applicant

Available options:
business,
personal
id
string<uuid>
required

Application ID

last_updated_time
string<date-time>
required

Timestamp of the last application modification in RFC3339 format

status
enum<string>
required

Status of the LOC application

Available options:
completed,
error,
pending,
processing
attributes
object

Raw JSON key-value pairs for flexible data

metadata
object
requested_credit_limit
integer

Requested credit limit in cents (e.g., 250000000 = $2,500,000)

account_id
string<uuid>

Account ID created for approved application

application_submitted_time
string<date-time>

Application submitted timestamp in RFC3339 format

business_id
string<uuid>

Business ID if customer_type is business

credit_limit
integer

Credit limit in cents (e.g., 250000000 = $2,500,000)

credit_report
object

Credit report data object

decision
enum<string>

Credit decision for LOC application

Available options:
approved,
declined,
pending,
review
decision_time
string<date-time>

Decision timestamp in RFC3339 format

external_id
string

External identifier (e.g., Taktile decision_id)

interest_rate
integer

Interest rate in basis points (e.g., 1250 = 12.50%)

person_id
string<uuid>

Person ID if customer_type is personal

rejection_reasons
string[]
vendor_response
object